variable "access_key" {
  type        = string
  sensitive   = true
  description = "Id du key"
  default     = "SCW9R1R3SE3JGPJSWEP2"
}

variable "secret_key" {
  type        = string
  sensitive   = true
  description = "Id du secret"
  default     = "7c0502ba-5a74-4ff7-b936-b5552c6554ca"
}

variable "organization_id" {
  type        = string
  sensitive   = true
  description = "Id de l'organisation"
  default     = "1a2b3c4d-1a2b-1a2b-1a2b-1a2b3c4d5e6f"
}

variable "project_id" {
  type        = string
  sensitive   = true
  description = "Id  du projet associé"
  default     = "1a2b3c4d-1a2b-1a2b-1a2b-1a2b3c4d5e6f"
}

provider "scaleway" {
  access_key      = var.access_key
  secret_key      = var.secret_key
  organization_id = var.organization_id
  project_id      = var.project_id
}
